VelocityReport Plugin - Defect #195

getPDFReport() error in HC-WC
12/03/2010 02:46 PM - Victor Rojo Carballo

Status: Closed Start date: 12/03/2010
Priority: Urgent Due date:

Assignee: Patrick Talbot % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
| get this error calling the getPDFReport() function in Headless Client and Web Client (from application server).

2010-11-26 12:04:00,282 ERROR [pool-4-thread-1] com.servoy.j2db.util. Debug - Throwable
java.awt.HeadlessException

at java.awt.dnd.DropTarget.<init>(DropTarget.java:79)

at java.awt.dnd.DropTarget.<init>(DropTarget.java:125)

at com.apple.laf.AquaFileChooserUl.installListeners(AquaFileChooserUl.java:165)

at com.apple.laf.AquaFileChooserUl.installUl(AquaFileChooserUl.java:122)

at javax.swing.JComponent.setUl(JComponent.java:662)

at javax.swing.JFileChooser.updateUI(JFileChooser.java:1798)

at javax.swing.JFileChooser.setup(JFileChooser.java:360)

at javax.swing.JFileChooser.<init>(JFileChooser.java:333)

at javax.swing.JFileChooser.<init>(JFileChooser.java:286)

at net.stuff.servoy.plugin.velocityreport.PluginProvider$4.<init>(PluginProvider.java: 1654)

at net.stuff.servoy.plugin.velocityreport.PluginProvider.createdFileChooser(PluginProvider.java:1654)
at net.stuff.servoy.plugin.velocityreport.PluginProvider.<init>(PluginProvider.java:199)

at net.stuff.servoy.plugin.velocityreport.Plugin.getScriptObject(Plugin.java:109)

at com.servoy.j2db.scripting.PluginScope.get(PluginScope.java:119)

at org.mozilla.javascript.ScriptableObject.getProperty(ScriptableObject.java: 1641)

at org.mozilla.javascript.ScriptRuntime.getObjectProp(ScriptRuntime.java:1429)

at org.mozilla.javascript.ScriptRuntime.getObjectProp(ScriptRuntime.java: 1418)

at org.mozilla.javascript.Interpreter.interpretLoop(Interpreter.java:3343)

at org.mozilla.javascript.Interpreter.interpret(Interpreter.java:2680)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:166)

at org.mozilla.javascript.ContextFactory.doTopCall(ContextFactory.java:387)

at org.mozilla.javascript.ScriptRuntime.doTopCall(ScriptRuntime.java:3127)

at org.mozilla.javascript.InterpretedFunction.call(InterpretedFunction.java:165)

at com.servoy.j2db.scripting.ScriptEngine.executeFunction(ScriptEngine.java:458)

at com.servoy.j2db.plugins.ClientPluginAccessProvider$MethodExecutor.run(ClientPluginAccessProvider.java:511)
at com.servoy.j2db.server.headlessclient.SessionClient.invokeAndWait(SessionClient.java:1170)
at com.servoy.j2db.server.headlessclient.SessionClient.invokeLater(SessionClient.java:1160)

at com.servoy.j2db.plugins.ClientPluginAccessProvider$1.run(ClientPluginAccessProvider.java:439)
at java.util.concurrent. ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)

at java.util.concurrent. ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)

at java.lang.Thread.run(Thread.java:680)

For reproduce this error you can import the sample solution of the VelocityReport in an application server and try to generate a pdf.

History

#1 - 12/03/2010 04:00 PM - Patrick Talbot

- Status changed from New to Closed
Fixed with v1.3.7+
#2 - 12/07/2010 06:53 AM - Patrick Talbot

Correcting this bug for Web/Headless client introduced a bug in Smart client when saving to PDF.
This is corrected in v1.3.10
